#
# Copyright (c) 2004, 2005, 2006, 2007, 2008 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

%define coin_includedir %{_includedir}/Coin2
%define coin_htmldir %{_datadir}/Coin2

%define libopenal_SONAME libopenal.so.0
%define libsimage_SONAME libsimage.so.20

Summary: High-level 3D visualization library
Name: Coin2
Version: 2.5.0
Release: 4%{?dist}

License: GPLv2+
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: ftp://ftp.coin3d.org/pub/coin/src/Coin-%{version}.tar.gz

Patch0: Coin-2.4.6-simage-soname.diff
Patch1: Coin-2.4.6-openal-soname.diff
Patch5: Coin-2.4.6-man3.diff

BuildRequires: libGLU-devel
BuildRequires: libXext-devel

BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: doxygen
BuildRequires: /usr/bin/rename
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Coin is a 3D graphics library with an Application Programming Interface
based on the Open Inventor 2.1 API.

%package devel
Summary: Development files for Coin
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel bzip2-devel
Requires: fontconfig-devel
Requires: freetype-devel
Requires: libGLU-devel
Requires: pkgconfig

%description devel
Development package for Coin

%prep
%setup -q -n Coin-%{version}
%patch0 -p1
%patch1 -p1
%patch5 -p1

# bogus permissions
for a in $(find . \( -name '*.h' -o -name '*.cpp' -o -name '*.c' \)); do \
  test -x $a && chmod -x $a; \
done

# convert sources to utf-8
for a in $(find . -type f -exec file {} \; | grep -i iso | sed -e 's,:.*,,'); do \
  /usr/bin/iconv -f ISO-8859-1 -t utf-8 $a > $a~; \
  mv $a~ $a; \
done

sed -i -e 's,@LIBSIMAGE_SONAME@,"%{libsimage_SONAME}",' \
  src/glue/simage_wrapper.c
sed -i -e 's,@LIBOPENAL_SONAME@,"%{libopenal_SONAME}",' \
  src/glue/openal_wrapper.c

%build
%configure \
	--includedir=%{coin_includedir} \
	--disable-dependency-tracking \
	--enable-shared \
	--disable-dl-libbzip2 \
	--disable-dl-glu \
	--disable-dl-zlib \
	--disable-dl-freetype \
	--disable-dl-fontconfig \
	--disable-spidermonkey \
	--enable-man \
	--enable-html \
	--enable-3ds-import \
	htmldir=%{coin_htmldir}/Coin \
	CPPFLAGS=$(pkg-config --cflags freetype2)
make %{?_smp_mflags}

# Strip the default libdir
sed -i -e "s,\-L%{_libdir} ,," coin-default.cfg

# coin-config is arch dependent
sed -i -e "s,/share/Coin/conf/,/%{_lib}/Coin2/conf/,g" bin/coin-config

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
/usr/bin/rename .3 .3sim $RPM_BUILD_ROOT%{_mandir}/man3/*
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.la

install -d -m 755 ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/Coin2
mv ${RPM_BUILD_ROOT}%{_datadir}/Coin/conf ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/Coin2

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING README* LICENSE* THANKS FAQ*
%{_libdir}/libCoin.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{coin_includedir}
%{_libdir}/libCoin.so
%{_datadir}/aclocal/coin.m4
%dir %{_datadir}/Coin
%{_datadir}/Coin/draggerDefaults
%{_datadir}/Coin/shaders
%{_libdir}/Coin2
%{_mandir}/man?/*
%doc %{coin_htmldir}
%{_libdir}/pkgconfig/Coin.pc

%changelog
* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 2.5.0-4
- Rebuild for gcc43.
- Update copyright.

* Thu Nov 29 2007 Ralf Corsépius <rc040203@freenet.de> - 2.5.0-3
- Rebuild with doxygen-1.5.3-1 (BZ 343601).

* Wed Oct 03 2007 Ralf Corsépius <rc040203@freenet.de> - 2.5.0-2
- Fix permissions on source files.
- Convert sources to utf-8.

* Tue Oct 02 2007 Ralf Corsépius <rc040203@freenet.de> - 2.5.0-1
- Upstream update.

* Fri Aug 17 2007 Ralf Corsépius <rc040203@freenet.de> - 2.4.6-2
- Update license tag.

* Sat Apr 15 2007 Ralf Corsépius <rc040203@freenet.de> - 2.4.6-1
- Upstream update.
- Re-base the patches to 2.4.6.
- Spec file massage.

* Tue Feb 20 2007 Ralf Corsépius <rc040203@freenet.de> - 2.4.5-5
- Install coin-default.cfg into %%{_prefix}/%%{_lib}

* Mon Feb 19 2007 Ralf Corsépius <rc040203@freenet.de> - 2.4.5-4
- Filter errant -L%%_libdir from coin-config.cfg.
- Remove *.la.

* Fri Sep 15 2006 Ralf Corsépius <rc040203@freenet.de> - 2.4.5-3
- Add doxygen hack.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 2.4.5-2
- Mass rebuild.

* Tue May 30 2006 Ralf Corsépius <rc040203@freenet.de> - 2.4.5-1
- Upstream update.
- Drop gcc-4.1 patch.
- Spec file cleanup.

* Wed Feb 22 2006 Ralf Corsépius <rc040203@freenet.de> - 2.4.4-10
- Rename man3 manpages to .3sim (PR 182212).

* Sun Feb 16 2006 Ralf Corsepius <rc040203@freenet.de> - 2.4.4-9
- Rebuild.

* Mon Jan 16 2006 Ralf Corsepius <rc040203@freenet.de> - 2.4.4-8
- Add R: fontconfig-devel to devel package.

* Mon Jan 16 2006 Ralf Corsepius <rc040203@freenet.de> - 2.4.4-7
- Add R: freetype-devel to devel package.

* Thu Dec 22 2005 Ralf Corsepius <rc040203@freenet.de> - 2.4.4-6
- Remove hacks to mesa/X11 packaging bugs now reported to be fixed.

* Thu Dec 15 2005 Ralf Corsepius <rc040203@freenet.de> - 2.4.4-5
- More hacks for modular X11.
- Add Coin-2.4.4-gcc-4.1.diff.

* Mon Nov 21 2005 Ralf Corsepius <rc040203@freenet.de> - 2.4.4-4
- Try to work around modular X having broken package deps.

* Thu Sep 22 2005 Ralf Corsepius <ralf@links2linux.de> - 2.4.4-3
- Remove simacros patch.
- Remove libtool patch.
- Link against freetype2.

* Tue Sep 20 2005 Ralf Corsepius <ralf@links2linux.de> - 2.4.4-1
- Upstream update.

* Thu Jul 07 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.4.3-1
- Upstream update.

* Wed May 17 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.4.1-1
- Upstream update.
